package com.junmp.jyzb.constant;

import org.omg.CORBA.NO_PERMISSION;

/**
 * 返回状态码
 * 
 * @author ruoyi
 */
public class HttpStatus
{
    /**
     * 操作成功
     */
    public static final int SUCCESS = 10000;

    /**
     * 没有操作权限
     */
    public static final int NO_PERMISSION = 10001;

    /**
     * 没有该账户信息
     */
    public static final int No_INFORMATION = 100002;

    /**
     * 找不到页面
     */
    public static final int PAGE_NOTFOUND = 100003;

    /**
     * 请求数据超时
     */
    public static final int TIMEOUT = 19996;

    /**
     * 请求数据不合法
     */
    public static final int DATA_ILLEGAL = 19997;

    /**
     * 操作频率过快
     */
    public static final int FREQUENCY_FAST = 19998;

    /**
     * 操作失败
     */
    public static final int OPERATION_FAILED = 19999;

    /**
     * 非常抱歉，服务器平台正在定期维护，预计两小时后恢复
     */
    public static final int SERVER_MAINTENANCE = 49997;

    /**
     * 数据不存在
     */
    public static final int NO_DATA = 49998;

    /**
     * 数据异常
     */
    public static final int NOT_FOUND = 49999;

    /**
     * 服务器异常
     */
    public static final int SERVER_ERROR = 50000;
}
